#include "game.h"
#include "manage.h"


//---------------------------------------------------------------------------
ST_GAME Game;


//---------------------------------------------------------------------------
EWRAM_CODE void GameInit()
{
	_Memset(&Game, 0x00, sizeof(ST_GAME));

	Game.act = GAME_INIT;
}
//---------------------------------------------------------------------------
IWRAM_CODE void GameExec()
{
	switch(Game.act)
	{
	case GAME_INIT:
		ManageInit();
		Game.act = GAME_EXEC;
		break;

	case GAME_EXEC:
		ManageExec();
		break;
	
	default:
		SystemError("[Err] GameExec Game.act=%d\n", Game.act);
		break;
	}
}
//---------------------------------------------------------------------------
IWRAM_CODE void GameDraw()
{
	// EMPTY
}
