#include "irq_arm.h"
#include "libmy/intr_arm.h"
#include "libmy/debug.h"
#include "libmy/snd.h"

//---------------------------------------------------------------------------------
EWRAM_CODE void IrqInit()
{
	IntrSetHandler(INTR_VBLANK, IrqVblank);
	IntrSetEnable(IRQ_VBLANK);
}
//---------------------------------------------------------------------------------
IWRAM_CODE void IrqVcount()
{
	// EMPTY
}
//---------------------------------------------------------------------------------
IWRAM_CODE void IrqVblank()
{
	DebugIntr();

//	SndBgmIntr();
//	SndSeIntr();

	REG_IRQ_WAITFLAGS |= IRQ_VBLANK;
}
