#ifndef __SPR_H__
#define __SPR_H__
#ifdef __cplusplus
extern "C" {
#endif


#include "../libgba/gba.h"

//---------------------------------------------------------------------------
#define MAX_SPRITE_CNT					5


//---------------------------------------------------------------------------

typedef struct {
	u16 attr0;
	u16 attr1;
	u16 attr2;
	u16 attr3;
} ST_SPRITE;

typedef struct {
	ST_SPRITE chr[MAX_SPRITE_CNT];
	bool isDraw;
} ST_SPR_BUF;


//---------------------------------------------------------------------------
EWRAM_CODE void SprInit();
EWRAM_CODE void SprSetDat(u16* pTile, u32 tileSize, u16* pPal, u32 palSize);
EWRAM_CODE void SprSetChr(u16 num, u16 x, u16 y, u16 tile);
EWRAM_CODE void SprSetCls();
IWRAM_CODE void SprExec();


#ifdef __cplusplus
}
#endif
#endif
