#ifndef __GAME_H__
#define __GAME_H__
#ifdef __cplusplus
extern "C" {
#endif


#include "libgba/gba.h"

//---------------------------------------------------------------------------
enum {
	GAME_INIT  = 0x01,
	GAME_EXEC,
};


//---------------------------------------------------------------------------

typedef struct {
	u16 act;
} ST_GAME;


//---------------------------------------------------------------------------
EWRAM_CODE void GameInit();
IWRAM_CODE void GameExec();
IWRAM_CODE void GameDraw();


#ifdef __cplusplus
}
#endif
#endif
