#ifndef __FADE_H__
#define __FADE_H__
#ifdef __cplusplus
extern "C" {
#endif

#include "../libgba/gba.h"


//---------------------------------------------------------------------------



//---------------------------------------------------------------------------
typedef struct {
	bool isEnd;
	s16  cnt;
	s16  min;
	s16  max;
	s16  wait;
	s16  waitCnt;
} ST_FADE;


//---------------------------------------------------------------------------
EWRAM_CODE void FadeInit();

EWRAM_CODE void FadeSetParam(s16 min, s16 max, s16 wait);
EWRAM_CODE void FadeSetIn();
EWRAM_CODE void FadeSetOut();

EWRAM_CODE void FadeIn();
EWRAM_CODE void FadeOut();
EWRAM_CODE void FadeClear();
EWRAM_CODE void FadeDraw();

EWRAM_CODE bool FadeIsEnd();


#ifdef __cplusplus
}
#endif
#endif
