#ifndef __MANAGE_H__
#define __MANAGE_H__
#ifdef __cplusplus
extern "C" {
#endif


#include "libgba/gba.h"

//---------------------------------------------------------------------------


enum {
	MANAGE_TITLE = 0x01,
	MANAGE_SELECT,
	MANAGE_PLAY,
};

//---------------------------------------------------------------------------

typedef struct {
	u16 act;
	u16 act2;
	u16 stageNo;
	u16 param;
} ST_MANAGE;


//---------------------------------------------------------------------------
EWRAM_CODE void ManageInit();
IWRAM_CODE void ManageSetAct(u16 act);

IWRAM_CODE void ManageExec();
IWRAM_CODE void ManageExecTitle();
IWRAM_CODE void ManageExecSelect();
IWRAM_CODE void ManageExecPlay();


#ifdef __cplusplus
}
#endif
#endif
