#ifndef __SYS_H__
#define __SYS_H__
#ifdef __cplusplus
extern "C" {
#endif


#include "libgba/gba.h"

//---------------------------------------------------------------------------
enum {
	SYS_INIT  = 0x01,
	SYS_RESET,
	SYS_RUN,
	SYS_RESTART,
};


//---------------------------------------------------------------------------

typedef struct {
	u16 act;
} ST_SYS;


//---------------------------------------------------------------------------
EWRAM_CODE void SysInit();

IWRAM_CODE void SysExec();
IWRAM_CODE void SysExecInit();
IWRAM_CODE void SysExecReset();
IWRAM_CODE void SysExecRun();
IWRAM_CODE void SysExecRestart();


#ifdef __cplusplus
}
#endif
#endif
